### Function

# GObject type_free_instance

since: 2.0

#### Declaration

    void
    g_type_free_instance (
      GTypeInstance* instance
    )

#### Description

Frees an instance of a type, returning it to the instance pool for the type, if there is one.

Like g_type_create_instance(), this function is reserved for implementors of fundamental types.

Available since: 2.0

#### Parameters

`instance`

  Type: `GTypeInstance`

  An instance of a type.

  The data is owned by the caller of the function.